Bug 1185483 (CVE-2014-8630) - CVE-2014-8630 Bugzilla: Command Injection into product names and other attributes
Summary: CVE-2014-8630 Bugzilla: Command Injection into product names and other attrib...
Status: CLOSED UPSTREAM
Alias: CVE-2014-8630
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150121,repor...
Keywords: Security
Depends On: 1185484 1185485
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 21:33 UTC by Kurt Seifried
Modified: 2019-06-08 20:23 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:38:27 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2015-01-23 21:33:42 UTC
The Bugzilla project reports:

Class:       Command Injection
Versions:    All versions before 4.0.16, 4.1.1 to 4.2.11, 4.3.1 to 4.4.6,
             4.5.1 to 4.5.6
Fixed In:    4.0.16, 4.2.12, 4.4.7, 5.0rc1
Description: Some code in Bugzilla does not properly utilize 3 arguments form
             for open() and it is possible for an account with editcomponents 
             permissions to inject commands into product names and other
             attributes.
References:  https://bugzilla.mozilla.org/show_bug.cgi?id=1079065
CVE Number:  CVE-2014-8630 

External references:
http://www.bugzilla.org/security/4.0.15/

Comment 1 Kurt Seifried 2015-01-23 21:34:15 UTC
Created bugzilla tracking bugs for this issue:

Affects: fedora-all [bug 1185484]
Affects: epel-all [bug 1185485]

Comment 2 Fedora Update System 2015-02-15 03:24:27 UTC
bugzilla-4.4.8-1.fc21.1 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-02-15 03:25:00 UTC
bugzilla-4.2.13-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:38:27 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.